From: Eryu Guan <eguan@redhat.com>
To: xfs@oss.sgi.com
Cc: Eryu Guan <eguan@redhat.com>
Subject: [PATCH 4/4] xfstests generic 311: test dir mtime and ctime are updated on rename
Date: Mon, 1 Apr 2013 18:57:44 +0800 [thread overview]
Message-ID: <1364813864-10820-5-git-send-email-eguan@redhat.com> (raw)
In-Reply-To: <1364813864-10820-1-git-send-email-eguan@redhat.com>
Test directory mtime and ctime are updated when moving a file onto an
existing file in the directory
Regression test for commit:
0b23076 ext3: fix update of mtime and ctime on rename
Signed-off-by: Eryu Guan <eguan@redhat.com>
---
tests/generic/311 | 74 +++++++++++++++++++++++++++++++++++++++++++++++++++
tests/generic/311.out | 2 ++
tests/generic/group | 1 +
3 files changed, 77 insertions(+)
create mode 100644 tests/generic/311
create mode 100644 tests/generic/311.out
diff --git a/tests/generic/311 b/tests/generic/311
new file mode 100644
index 0000000..46cc791
--- /dev/null
+++ b/tests/generic/311
@@ -0,0 +1,74 @@
+#! /bin/bash
+# FS QA Test No. 311
+#
+# Test directory mtime and ctime are updated when moving a file onto an
+# existing file in the directory
+#
+# Regression test for commit:
+# 0b23076 ext3: fix update of mtime and ctime on rename
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2013 Red Hat, Inc. All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
+#-----------------------------------------------------------------------
+#
+
+seq=`basename $0`
+seqres=$RESULT_DIR/$seq
+echo "QA output created by $seq"
+
+status=0 # success is the default!
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+_cleanup()
+{
+ cd /
+ rm -rf $TEST_DIR/testdir_$seq
+ rm -f $TEST_DIR/testfile.$seq
+}
+
+# get standard environment, filters and checks
+. ./common/rc
+. ./common/filter
+
+# real QA test starts here
+_supported_fs generic
+_supported_os IRIX Linux
+
+echo "Silence is golden"
+
+mkdir -p $TEST_DIR/testdir_$seq
+touch $TEST_DIR/testdir_$seq/testfile
+touch $TEST_DIR/testfile.$seq
+
+mtime1=`stat -c %Y $TEST_DIR/testdir_$seq`
+ctime1=`stat -c %Z $TEST_DIR/testdir_$seq`
+
+sleep 1
+mv $TEST_DIR/testfile.$seq $TEST_DIR/testdir_$seq/testfile
+
+mtime2=`stat -c %Y $TEST_DIR/testdir_$seq`
+ctime2=`stat -c %Z $TEST_DIR/testdir_$seq`
+
+if [ "$mtime1" == "$mtime2" ]; then
+ echo "mtime not updated"
+ let status=$status+1
+fi
+if [ "$ctime1" == "$ctime2" ]; then
+ echo "ctime not updated"
+ let status=$status+1
+fi
+
+exit
diff --git a/tests/generic/311.out b/tests/generic/311.out
new file mode 100644
index 0000000..62f2530
--- /dev/null
+++ b/tests/generic/311.out
@@ -0,0 +1,2 @@
+QA output created by 311
+Silence is golden
diff --git a/tests/generic/group b/tests/generic/group
index 9ff2ab1..1f4b62e 100644
--- a/tests/generic/group
+++ b/tests/generic/group
@@ -111,3 +111,4 @@
306 auto quick rw
308 auto quick
309 auto quick
+311 auto quick
--
1.8.1.4
_______________________________________________
xfs mailing list
xfs@oss.sgi.com
http://oss.sgi.com/mailman/listinfo/xfs
next prev parent reply other threads:[~2013-04-01 10:58 UTC|newest]
Thread overview: 8+ messages / expand[flat|nested] mbox.gz Atom feed top
2013-04-01 10:57 [PATCH 0/4] xfstests: random regression tests Eryu Guan
2013-04-01 10:57 ` [PATCH 2/4] xfstests generic 309: test write to the last block of max file size on ext4 Eryu Guan
2013-04-05 13:38 ` Rich Johnston
2013-04-01 10:57 ` [PATCH 3/4] xfstests ext4 310: test read /proc/fs/ext4/<dev>/mb_groups while the fs is being unmounted Eryu Guan
2013-04-05 13:38 ` Rich Johnston
2013-04-01 10:57 ` Eryu Guan [this message]
2013-04-05 13:38 ` [PATCH 4/4] xfstests generic 311: test dir mtime and ctime are updated on rename Rich Johnston
2013-04-05 13:41 ` [PATCH 0/4] xfstests: random regression tests Rich Johnston
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1364813864-10820-5-git-send-email-eguan@redhat.com \
--to=eguan@redhat.com \
--cc=xfs@oss.sgi.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox